- entityDefinitions:
  - IDI_Task_Device_View:    '{b9d1daf8-ac77-473f-b5df-a8ee1256c98b}'
  - IDE_Device_View:        '{7340c83a-c5ca-41fc-a1f5-963c8e7e9067}'

  - IDE_Device_View_Start: '{1caa3a72-79c1-4276-89f3-179f0bf4859d}'
  - IDM_Device_View_Start:  '{f04b2523-45ff-48e6-a3b4-c9c3818c0636}'

  - IDMB_Device_View: '{63531fd3-1963-4510-987f-5349cde64d81}'
  - IDM_Device_View: '{9bc93c3d-7348-4075-b179-c3d6f144d568}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_Device_View;'
    name: 'View Device'
    initiatingElement: '&IDE_Device_View_Start;'
    taskCategory: '&IDI_TaskCategory_Device;'
    
  - controlTransactionMethod: '&IDM_Device_View_Start;'
    forClassId: '&IDC_Device;'
    verb: ''
    name: 'Device View Start'
    buildsResponseWithBRMB: '&IDMB_Device_View;'

  - element: '&IDE_Device_View_Start;'
    name: 'View Device Start'
    processedByCTMethod: '&IDM_Device_View_Start;'
    elementContents:
    - globalIdentifier: '{5a5c572f-8d13-4f4a-9651-53585d82859f}'
      defaultDataType: '&IDE_Device_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_Device_View;'
    name: 'View Device'
    elementContents:
    - globalIdentifier: '{dd6b5443-4480-467f-a9ce-395366b479e9}'
      defaultDataType: '&IDC_Device;'
      label: 'Device'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{2734715a-b232-491a-aafb-9499c423890f}'
      defaultDataType: '&IDE_Device_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      
  - buildUIResponseMethod: '&IDM_Device_View;'
    usesExecutableReturningElement: '&IDE_Device_View;'

  - buildResponseMethodBinding: '&IDMB_Device_View;'
    executesMethod: '&IDM_Device_View;'
